<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: init/serinit.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_f813120d4be15aaed9e35a3518d2a85e.html">init</a>
  </div>
</div>
<div class="contents">
<h1>serinit.c File Reference</h1><code>#include &quot;<a class="el" href="init_8h_source.html">init.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="magpario_8h_source.html">io/magpario.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for serinit.c:</div>
<div class="dynsection">
<div class="center"><img src="serinit_8c__incl.png" border="0" usemap="#init_2serinit_8c_map" alt=""/></div>
<map name="init_2serinit_8c_map" id="init_2serinit_8c">
<area shape="rect" id="node3" href="init_8h.html" title="init.h" alt="" coords="127,86,177,117"/><area shape="rect" id="node15" href="magpario_8h.html" title="io/magpario.h" alt="" coords="201,86,300,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="serinit_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94">SerInit</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ae4c8f3120a177cfe3ce6929927865a94"></a><!-- doxytag: member="serinit.c::SerInit" ref="ae4c8f3120a177cfe3ce6929927865a94" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int SerInit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="serinit_8c_source.html#l00034">34</a> of file <a class="el" href="serinit_8c_source.html">serinit.c</a>.</p>

<p>References <a class="el" href="movedata_8c_source.html#l00030">DataMoveData()</a>, <a class="el" href="distortmesh_8c_source.html#l00029">DistortMesh()</a>, <a class="el" href="griddata_8h_source.html#l00189">GridData::eleprop</a>, <a class="el" href="griddata_8h_source.html#l00188">GridData::elevert</a>, <a class="el" href="facnb_8c_source.html#l00055">FacNB()</a>, <a class="el" href="filterelements_8c_source.html#l00031">FilterElements()</a>, <a class="el" href="filternodes_8c_source.html#l00031">FilterNodes()</a>, <a class="el" href="initinfo_8c_source.html#l00052">InitInfo()</a>, <a class="el" href="griddata_8h_source.html#l00143">GridData::inp</a>, <a class="el" href="griddata_8h_source.html#l00172">GridData::ln_ele</a>, <a class="el" href="griddata_8h_source.html#l00171">GridData::ln_vert</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="maginit_8c_source.html#l00029">MagInit()</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="modifyprop__ser_8c_source.html#l00031">ModifyPropSer()</a>, <a class="el" href="griddata_8h_source.html#l00165">GridData::n_ele</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="griddata_8h_source.html#l00221">GridData::propdat</a>, <a class="el" href="readkrn_8c_source.html#l00073">ReadKrn()</a>, <a class="el" href="readmesh_8c_source.html#l00029">ReadMesh()</a>, <a class="el" href="regrefine_8c_source.html#l00030">RegularRefinement()</a>, <a class="el" href="reorder_8c_source.html#l00399">Reorder()</a>, <a class="el" href="griddata_8h_source.html#l00142">GridData::simname</a>, <a class="el" href="vertprop_8c_source.html#l00029">VertProp()</a>, and <a class="el" href="griddata_8h_source.html#l00178">GridData::vertxyz</a>.</p>

<p>Referenced by <a class="el" href="main_8c_source.html#l00059">main()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="serinit_8c_ae4c8f3120a177cfe3ce6929927865a94_cgraph.png" border="0" usemap="#serinit_8c_ae4c8f3120a177cfe3ce6929927865a94_cgraph_map" alt=""></div>
<map name="serinit_8c_ae4c8f3120a177cfe3ce6929927865a94_cgraph_map" id="serinit_8c_ae4c8f3120a177cfe3ce6929927865a94_cgraph">
<area shape="rect" id="node3" href="init_8h.html#aac2a4c334ae5c2baef33867114fe8006" title="DataMoveData" alt="" coords="304,383,411,414"/><area shape="rect" id="node18" href="distortmesh_8c.html#a07f75fef1770fdca0f1cf8ea3369c8b2" title="DistortMesh" alt="" coords="124,896,215,927"/><area shape="rect" id="node20" href="facnb_8c.html#ab880c52c1f93378088ef1e53763aa916" title="FacNB" alt="" coords="327,606,388,636"/><area shape="rect" id="node30" href="filterelements_8c.html#a49c370a78a03718555d9d871ef6e11ee" title="FilterElements" alt="" coords="116,950,223,980"/><area shape="rect" id="node32" href="filternodes_8c.html#ab1da8fc65b9539386e71fb8601e36deb" title="FilterNodes" alt="" coords="125,1003,213,1034"/><area shape="rect" id="node34" href="init_8h.html#a25ee3bfa58a704838a8bc6309f083f5c" title="InitInfo" alt="" coords="139,1056,200,1087"/><area shape="rect" id="node38" href="init_8h.html#accaf6541cd8225c7be69bdf5f6ac44d5" title="MagInit" alt="" coords="137,792,201,823"/><area shape="rect" id="node46" href="init_8h.html#a031e1284b34dfcb64f029f9bd16545ce" title="VertProp" alt="" coords="511,910,583,940"/><area shape="rect" id="node48" href="init_8h.html#a155bbdd0e9cc1c9194b91b08ca8162ac" title="ModifyPropSer" alt="" coords="116,490,223,520"/><area shape="rect" id="node51" href="magpario_8h.html#a59544353738dfce0bdce48409d9b3c8b" title="ReadKrn" alt="" coords="323,490,392,520"/><area shape="rect" id="node56" href="magpario_8h.html#a365fc802eafb717ba4c584655d1e9b64" title="ReadMesh" alt="" coords="128,739,211,770"/><area shape="rect" id="node61" href="init_8h.html#a445ec9c1079f67af589544afbcea155f" title="RegularRefinement" alt="" coords="292,686,423,716"/><area shape="rect" id="node65" href="init_8h.html#a37fbeb81912fa6f3e4bcc7e3dd71bc62" title="Reorder" alt="" coords="136,190,203,220"/><area shape="rect" id="node5" href="ascat_8c.html#ac2f4e1dfdaa7099a74e0603a16a1feb3" title="ascat" alt="" coords="684,176,737,207"/><area shape="rect" id="node7" href="distint_8c.html#a42616e8c2899205c9fb1890cf0fb1e7b" title="distint" alt="" coords="519,230,575,260"/><area shape="rect" id="node9" href="mesh2dual_8c.html#a072403ed5e4bbd16fd845d52009d1270" title="Mesh2Dual" alt="" coords="504,435,589,466"/><area shape="rect" id="node15" href="mesh2dual_8c.html#abb99aec57817a85ad1c4c2552f695434" title="Mesh2Nodal" alt="" coords="820,383,913,414"/><area shape="rect" id="node11" href="mesh2dual_8c.html#a194ba29523e593289f63c3071c31a34b" title="Mesh2VertEle" alt="" coords="964,410,1065,440"/><area shape="rect" id="node13" href="tettri_8c.html#aa5edf1170e954574fb88dff3cafac7c1" title="tetnb" alt="" coords="685,514,736,544"/><area shape="rect" id="node22" href="facnb_8c.html#a080f2d81423b15d9aa4263dad5703865" title="CompareFaces" alt="" coords="492,592,601,623"/><area shape="rect" id="node25" href="progressbar_8c.html#afac4bb91f0e22a14a209a0f60113654d" title="ProgressBar" alt="" coords="500,646,593,676"/><area shape="rect" id="node28" href="init_8h.html#ad362da888961433eb994e6a5bc0c818d" title="tetvol" alt="" coords="520,699,573,730"/><area shape="rect" id="node36" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="300,1056,415,1087"/><area shape="rect" id="node40" href="init_8h.html#a8fd02adfde9e3d9ac120c87dee020678" title="MagSet" alt="" coords="324,843,391,874"/><area shape="rect" id="node42" href="magpario_8h.html#ac48e244b5ec28e4a0d8a7ce8596bbe76" title="ReadINP" alt="" coords="509,856,584,887"/><area shape="rect" id="node44" href="renormvec_8c.html#abba3d002260d6e3e062ac69a80300aa4" title="RenormVec" alt="" coords="503,803,591,834"/><area shape="rect" id="node53" href="magpario_8h.html#a85c6fd604f4655acf9edea63969a5676" title="read_one_line" alt="" coords="496,488,597,519"/><area shape="rect" id="node59" href="magpario_8h.html#a4e53aaaa9226ca0805f1f006e8bda38a" title="ReadPatran" alt="" coords="313,739,401,770"/><area shape="rect" id="node67" href="init_8h.html#a6458904885e6dd97ed495c8ad5f11ca0" title="DataPartitionElementsSer" alt="" coords="272,163,443,194"/><area shape="rect" id="node83" href="reorder_8c.html#aaa65da5c15989b05f5beaa0caec46fa6" title="OptimizeBandwidth" alt="" coords="291,83,424,114"/><area shape="rect" id="node90" href="reorder_8c.html#a6f34cee4815f64fdb70ac23efe121a18" title="TrivialPartitioning" alt="" coords="297,216,417,247"/><area shape="rect" id="node69" href="init_8h.html#a6924d6317e2e503ad009880947d9f905" title="CheckPartition" alt="" coords="493,70,600,100"/><area shape="rect" id="node77" href="parteleser_8c.html#a338625e08e016cbad07c3c6bd5159822" title="MetisPartition" alt="" coords="496,176,597,207"/><area shape="rect" id="node80" href="init_8h.html#a325dee9c88a63835d07e633aac72bc7e" title="PermuteData" alt="" coords="499,123,595,154"/><area shape="rect" id="node71" href="matcreateseqadj_8c.html#a75401ceb9e40834d9b15671f96a9c03a" title="matcreateseqadj" alt="" coords="652,43,769,74"/><area shape="rect" id="node74" href="matviewstruct_8c.html#a7c494f3571a8f64d0056e03cbf6c994a" title="matviewstruct" alt="" coords="660,96,761,127"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="serinit_8c_ae4c8f3120a177cfe3ce6929927865a94_icgraph.png" border="0" usemap="#serinit_8c_ae4c8f3120a177cfe3ce6929927865a94_icgraph_map" alt=""></div>
<map name="serinit_8c_ae4c8f3120a177cfe3ce6929927865a94_icgraph_map" id="serinit_8c_ae4c8f3120a177cfe3ce6929927865a94_icgraph">
<area shape="rect" id="node3" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="115,5,165,35"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

